export const endpoints = Object.freeze({
  ROOT: '/',
  AUTH: '/auth',
  RELATIVE_AUTH: 'auth',
  LOGIN: '/auth/login',
  RELATIVE_LOGIN: 'login',
  REGISTRATION: '/auth/registration',
  RELATIVE_REGISTRATION: 'registration',
  PROFILE: '/profile',
  RELATIVE_PROFILE: 'profile',
  TASKS: '/tasks',
  RELATIVE_TASKS: 'tasks',
  task: (id: string) => `/tasks/${id}`,
  ERROR_404: '/404',
  RELATIVE_ERROR_404: '404',
});
